System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum To be added

Specifies the session-state mode.

- Field
  2.0.0.0
  System.Web.SessionState.SessionStateMode

  Session state is using a custom data store to store session-state information.

- Field
  System.Web.SessionState.SessionStateMode To be added

  Session state is in process with an ASP.NET worker process.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.SessionState.SessionStateMode To be added

  Session state is disabled.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.SessionState.SessionStateMode To be added

  Session state is using an out-of-process SQL Server database to store state information.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.SessionState.SessionStateMode To be added

  Session state is using the out-of-process ASP.NET State Service to store state information.

  1.0.5000.0
  2.0.0.0